package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;

@ObfuscatedName("nf")
public class class354 {
   @ObfuscatedName("bt")
   @ObfuscatedSignature(
      descriptor = "(II)I",
      garbageValue = "1854178059"
   )
   static int method6859_base(int var0) {
      return (int)Math.pow(2.0D, (double)(7.0F + (float)var0 / 256.0F));
   }

   @ObfuscatedName("oc")
   @ObfuscatedSignature(
      descriptor = "(Luj;I)V",
      garbageValue = "-390178192"
   )
   static void method6860(Buffer var0) {
      if(Client.randomDatData != null) {
         var0.writeBytes_base(Client.randomDatData, 0, Client.randomDatData.length);
      } else {
         byte[] var1 = class139.randomDatData2_base();
         var0.writeBytes_base(var1, 0, var1.length);
      }
   }
}
